This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 692953 - MySQL memory DoS
MySQL memory DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql (Show other bugs)
5.4
x86_64 Linux
urgent Severity urgent
: rc
: ---
Assigned To: Tom Lane
qe-baseos-daemons
: ZStream
Depends On: 528512
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-01 15:16 EDT by RHEL Product and Program Management
Modified: 2013-07-02 23:36 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Resolving queries containing a subquery with the DISTINCT and ORDER BY subclauses could have triggered a memory leak causing the query resolution to fail or the server to terminate unexpectedly if it had to process an extensive number of rows. With this update, the respective upstream patch has been applied and the queries are resolved correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 10:23:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-04-01 15:16:31 EDT
This bug has been copied from bug #528512 and has been proposed
to be backported to 5.6 z-stream (EUS).
Comment 6 Eva Kopalova 2011-05-09 04:23:19 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Resolving queries containing a subquery with the DISTINCT and ORDER BY subclauses could have triggered a memory leak causing the query resolution to fail or the server to terminate unexpectedly if it had to process an extensive amount of rows. With this update, the respective upstream patch has been applied and the queries are resolved correctly.
Comment 7 Eva Kopalova 2011-05-09 04:24:49 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Resolving queries containing a subquery with the DISTINCT and ORDER BY subclauses could have triggered a memory leak causing the query resolution to fail or the server to terminate unexpectedly if it had to process an extensive amount of rows. With this update, the respective upstream patch has been applied and the queries are resolved correctly.+Resolving queries containing a subquery with the DISTINCT and ORDER BY subclauses could have triggered a memory leak causing the query resolution to fail or the server to terminate unexpectedly if it had to process an extensive number of rows. With this update, the respective upstream patch has been applied and the queries are resolved correctly.
Comment 8 errata-xmlrpc 2011-05-09 10:23:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0494.html

Note You need to log in before you can comment on or make changes to this bug.